val.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::Distinct
| Distinct propagators

## Functions

template<class View, bool complete>
ExecStatus | Gecode::Int::Distinct::prop_val (Space &home, ViewArray< View > &)
| Eliminate singletons by naive value propagation.